package user_admin

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/user_admin"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route post /api/admin/user/update user_admin UpdateUserAdmin
//
// Update user | 更新用户信息
//
// Update user | 更新用户信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: UserInfo
//

func UpdateUserAdminHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.UserInfo
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := user_admin.NewUpdateUserAdminLogic(r, r.Context(), svcCtx)
		err := l.UpdateUserAdmin(&req)

		statusz.ResponseHandler(r, w, transErr, nil, err)

	}
}
